NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::TrimCurveBuilder Class Reference

Represents a NXOpen::Features::TrimCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTrimCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::TrimCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveEndOptions { CurveEndOptionsStart, CurveEndOptionsEnd }
 Represents the trim curve end options. More...
 
enum  CurveExtensionTypes { CurveExtensionTypesNatural, CurveExtensionTypesLinear, CurveExtensionTypesCircular, CurveExtensionTypesNone }
 Represents the trim curve extension types. More...
 
enum  CurveTrimRegionOptions { CurveTrimRegionOptionsInside, CurveTrimRegionOptionsOutside }
 Represents the trim curve trim region options. More...
 
enum  FirstBoundingObjectEndOptions { FirstBoundingObjectEndOptionsStart, FirstBoundingObjectEndOptionsEnd }
 Represents the trim curve first bounding object end options. More...
 
enum  FirstBoundingObjectOptions { FirstBoundingObjectOptionsSelectObject, FirstBoundingObjectOptionsSpecifyPlane }
 Represents the trim curve first bounding object options. More...
 
enum  InteresectionDirectionOptions { InteresectionDirectionOptionsShortest3dDistance, InteresectionDirectionOptionsRelativeToWcs, InteresectionDirectionOptionsAlongAVector, InteresectionDirectionOptionsAlongScreenNormal }
 Represents the trim curve interesection direction options. More...
 
enum  InteresectionMethods { InteresectionMethodsInferred, InteresectionMethodsUserDefined }
 Represents the trim curve interesection methods. More...
 
enum  SecondBoundingObjectEndOptions { SecondBoundingObjectEndOptionsStart, SecondBoundingObjectEndOptionsEnd }
 Represents the trim curve second bounding object end options. More...
 
enum  SecondBoundingObjectOptions { SecondBoundingObjectOptionsSelectObject, SecondBoundingObjectOptionsSpecifyPlane }
 Represents the trim curve second bounding object options. More...
 

Public Member Functions

NXOpen::Features::TrimCurveBuilder::CurveEndOptions CurveEndOption ()
 Returns the end of the curve that would be trimmed
Created in NX5.0.0. More...
 
NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes CurveExtensionType ()
 Returns the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s) More...
 
NXOpen::SelectObjectListCurveList ()
 Returns the list of curves with the pick points
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveOptionsCurveOptions ()
 Returns the Curve Options. More...
 
NXOpen::SectionCurvesToTrim ()
 Returns the curves to trim
Created in NX5.0.0. More...
 
NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions CurveTrimRegionOption ()
 Returns the portion of the curves to be trimmed. More...
 
NXOpen::SelectObjectListFirstBoundingObject ()
 Returns the objects for the first boundary against which the selected curves are to be trimmed. More...
 
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions FirstBoundingObjectEndOption ()
 Returns the end of the first bounding object which would be trimmed
Created in NX5.0.0. More...
 
NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions FirstBoundingObjectOption ()
 Returns the first bounding object option
Created in NX5.0.0. More...
 
NXOpen::Point3d FirstBoundingObjectPickPoint ()
 Returns the pick point for the first bounding object. More...
 
NXOpen::PlaneFirstBoundingPlane ()
 Returns the first bounding object plane
Created in NX5.0.0. More...
 
NXOpen::SelectPointFirstReferenceIntersection ()
 Returns the first user defined intersection point. More...
 
NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions InteresectionDirectionOption ()
 Returns the method the system uses to find object intersections
Created in NX5.0.0. More...
 
NXOpen::Features::TrimCurveBuilder::InteresectionMethods InteresectionMethod ()
 Returns the method to be used to determine the intersections
Created in NX5.0.0. More...
 
NXOpen::DirectionInteresectionOptionVector ()
 Returns the vector direction for the trim operation
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListReverseTrimEnd ()
 Returns the curves the end to trim needs to be reversed
Created in NX5.0.0. More...
 
NXOpen::SelectObjectListSecondBoundingObject ()
 Returns the objects for the second boundary against which the selected curves are to be trimmed. More...
 
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions SecondBoundingObjectEndOption ()
 Returns the end of the second bounding object which would be trimmed
Created in NX5.0.0. More...
 
NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions SecondBoundingObjectOption ()
 Returns the second bounding object option
Created in NX5.0.0. More...
 
NXOpen::Point3d SecondBoundingObjectPickPoint ()
 Returns the pick point for the second bounding object. More...
 
NXOpen::PlaneSecondBoundingPlane ()
 Returns the first bounding object plane
Created in NX5.0.0. More...
 
NXOpen::SelectPointSecondReferenceIntersection ()
 Returns the second user defined intersection point. More...
 
void SetCurveEndOption (NXOpen::Features::TrimCurveBuilder::CurveEndOptions curveEndOption)
 Sets the end of the curve that would be trimmed
Created in NX5.0.0. More...
 
void SetCurveExtensionType (NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes curveExtensionType)
 Sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s) More...
 
void SetCurveTrimRegionOption (NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions curveTrimRegionOption)
 Sets the portion of the curves to be trimmed. More...
 
void SetFirstBoundingObjectEndOption (NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions firstBoundingObjectEndOption)
 Sets the end of the first bounding object which would be trimmed
Created in NX5.0.0. More...
 
void SetFirstBoundingObjectOption (NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions firstBoundingObjectOption)
 Sets the first bounding object option
Created in NX5.0.0. More...
 
void SetFirstBoundingObjectPickPoint (const NXOpen::Point3d &firstBndgObjPickPoint)
 Sets the pick point for the first bounding object. More...
 
void SetFirstBoundingPlane (NXOpen::Plane *firstPlane)
 Sets the first bounding object plane
Created in NX5.0.0. More...
 
void SetInteresectionDirectionOption (NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions interesectionDirectionOption)
 Sets the method the system uses to find object intersections
Created in NX5.0.0. More...
 
void SetInteresectionMethod (NXOpen::Features::TrimCurveBuilder::InteresectionMethods interesectionMethod)
 Sets the method to be used to determine the intersections
Created in NX5.0.0. More...
 
void SetInteresectionOptionVector (NXOpen::Direction *interesectionOptionVector)
 Sets the vector direction for the trim operation
Created in NX5.0.0. More...
 
void SetSecondBoundingObjectEndOption (NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions secondBoundingObjectEndOption)
 Sets the end of the second bounding object which would be trimmed
Created in NX5.0.0. More...
 
void SetSecondBoundingObjectOption (NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions secondboundingObjectOption)
 Sets the second bounding object option
Created in NX5.0.0. More...
 
void SetSecondBoundingObjectPickPoint (const NXOpen::Point3d &secondBndgObjPickPoint)
 Sets the pick point for the second bounding object. More...
 
void SetSecondBoundingPlane (NXOpen::Plane *secondPlane)
 Sets the first bounding object plane
Created in NX5.0.0. More...
 
void SetTrimBoundingObjects (bool trimBoundingObjects)
 Sets the option whether bounding objects are to be trimmed
Created in NX5.0.0. More...
 
bool TrimBoundingObjects ()
 Returns the option whether bounding objects are to be trimmed
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::TrimCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateTrimCurveBuilder
Default values.

Property Value

CurveEndOption

Start

CurveExtensionType

Natural

CurveOptions.Associative

True

CurveTrimRegionOption

Inside

FirstBoundingObjectEndOption

Start

FirstBoundingObjectOption

SelectObject

InteresectionDirectionOption

RelativeToWcs

InteresectionMethod

Inferred

SecondBoundingObjectEndOption

Start

SecondBoundingObjectOption

SelectObject


Created in NX5.0.0.

Member Enumeration Documentation

Represents the trim curve end options.

Enumerator
CurveEndOptionsStart 

Trim curve from start.

CurveEndOptionsEnd 

Trim curve from end.

Represents the trim curve extension types.

Enumerator
CurveExtensionTypesNatural 

Natural.

CurveExtensionTypesLinear 

Linear.

CurveExtensionTypesCircular 

Circular.

CurveExtensionTypesNone 

None.

Represents the trim curve trim region options.

Enumerator
CurveTrimRegionOptionsInside 

Inside.

CurveTrimRegionOptionsOutside 

Outside.

Represents the trim curve first bounding object end options.

Enumerator
FirstBoundingObjectEndOptionsStart 

Trim first bounding object from start.

FirstBoundingObjectEndOptionsEnd 

Trim first bounding object from end.

Represents the trim curve first bounding object options.

Enumerator
FirstBoundingObjectOptionsSelectObject 

Select object.

FirstBoundingObjectOptionsSpecifyPlane 

Define plane.

Represents the trim curve interesection direction options.

Enumerator
InteresectionDirectionOptionsShortest3dDistance 

Shortest 3d distance.

InteresectionDirectionOptionsRelativeToWcs 

Relative to WCS.

InteresectionDirectionOptionsAlongAVector 

Along a vector.

InteresectionDirectionOptionsAlongScreenNormal 

Along screen normal.

Represents the trim curve interesection methods.

Enumerator
InteresectionMethodsInferred 

Inferred.

InteresectionMethodsUserDefined 

User defined.

Represents the trim curve second bounding object end options.

Enumerator
SecondBoundingObjectEndOptionsStart 

Trim second ounding object from start.

SecondBoundingObjectEndOptionsEnd 

Trim second bounding object from end.

Represents the trim curve second bounding object options.

Enumerator
SecondBoundingObjectOptionsSelectObject 

Select object.

SecondBoundingObjectOptionsSpecifyPlane 

Define plane.

Member Function Documentation

NXOpen::Features::TrimCurveBuilder::CurveEndOptions NXOpen::Features::TrimCurveBuilder::CurveEndOption ( )

Returns the end of the curve that would be trimmed
Created in NX5.0.0.



License requirements : None

NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes NXOpen::Features::TrimCurveBuilder::CurveExtensionType ( )

Returns the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s)


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::CurveList ( )

Returns the list of curves with the pick points
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::TrimCurveBuilder::CurveOptions ( )

Returns the Curve Options.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::TrimCurveBuilder::CurvesToTrim ( )

Returns the curves to trim
Created in NX5.0.0.



License requirements : None

NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOption ( )

Returns the portion of the curves to be trimmed.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::FirstBoundingObject ( )

Returns the objects for the first boundary against which the selected curves are to be trimmed.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOption ( )

Returns the end of the first bounding object which would be trimmed
Created in NX5.0.0.



License requirements : None

NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOption ( )

Returns the first bounding object option
Created in NX5.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectPickPoint ( )

Returns the pick point for the first bounding object.


Created in NX5.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::TrimCurveBuilder::FirstBoundingPlane ( )

Returns the first bounding object plane
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::TrimCurveBuilder::FirstReferenceIntersection ( )

Returns the first user defined intersection point.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOption ( )

Returns the method the system uses to find object intersections
Created in NX5.0.0.



License requirements : None

NXOpen::Features::TrimCurveBuilder::InteresectionMethods NXOpen::Features::TrimCurveBuilder::InteresectionMethod ( )

Returns the method to be used to determine the intersections
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::TrimCurveBuilder::InteresectionOptionVector ( )

Returns the vector direction for the trim operation
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::ReverseTrimEnd ( )

Returns the curves the end to trim needs to be reversed
Created in NX5.0.0.



License requirements : None

NXOpen::SelectObjectList* NXOpen::Features::TrimCurveBuilder::SecondBoundingObject ( )

Returns the objects for the second boundary against which the selected curves are to be trimmed.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOption ( )

Returns the end of the second bounding object which would be trimmed
Created in NX5.0.0.



License requirements : None

NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOption ( )

Returns the second bounding object option
Created in NX5.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectPickPoint ( )

Returns the pick point for the second bounding object.


Created in NX5.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::TrimCurveBuilder::SecondBoundingPlane ( )

Returns the first bounding object plane
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPoint* NXOpen::Features::TrimCurveBuilder::SecondReferenceIntersection ( )

Returns the second user defined intersection point.


Created in NX5.0.0.

License requirements : None

void NXOpen::Features::TrimCurveBuilder::SetCurveEndOption ( NXOpen::Features::TrimCurveBuilder::CurveEndOptions  curveEndOption)

Sets the end of the curve that would be trimmed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
curveEndOptioncurveendoption
void NXOpen::Features::TrimCurveBuilder::SetCurveExtensionType ( NXOpen::Features::TrimCurveBuilder::CurveExtensionTypes  curveExtensionType)

Sets the shape of the extension, if the curve to be trimmed is to be extended to its bounding object(s)


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
curveExtensionTypecurveextensiontype
void NXOpen::Features::TrimCurveBuilder::SetCurveTrimRegionOption ( NXOpen::Features::TrimCurveBuilder::CurveTrimRegionOptions  curveTrimRegionOption)

Sets the portion of the curves to be trimmed.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
curveTrimRegionOptioncurvetrimregionoption
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectEndOption ( NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectEndOptions  firstBoundingObjectEndOption)

Sets the end of the first bounding object which would be trimmed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
firstBoundingObjectEndOptionfirstboundingobjectendoption
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectOption ( NXOpen::Features::TrimCurveBuilder::FirstBoundingObjectOptions  firstBoundingObjectOption)

Sets the first bounding object option
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
firstBoundingObjectOptionfirstboundingobjectoption
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingObjectPickPoint ( const NXOpen::Point3d firstBndgObjPickPoint)

Sets the pick point for the first bounding object.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
firstBndgObjPickPointfirstbndgobjpickpoint
void NXOpen::Features::TrimCurveBuilder::SetFirstBoundingPlane ( NXOpen::Plane firstPlane)

Sets the first bounding object plane
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
firstPlanefirstplane
void NXOpen::Features::TrimCurveBuilder::SetInteresectionDirectionOption ( NXOpen::Features::TrimCurveBuilder::InteresectionDirectionOptions  interesectionDirectionOption)

Sets the method the system uses to find object intersections
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
interesectionDirectionOptioninteresectiondirectionoption
void NXOpen::Features::TrimCurveBuilder::SetInteresectionMethod ( NXOpen::Features::TrimCurveBuilder::InteresectionMethods  interesectionMethod)

Sets the method to be used to determine the intersections
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
interesectionMethodinteresectionmethod
void NXOpen::Features::TrimCurveBuilder::SetInteresectionOptionVector ( NXOpen::Direction interesectionOptionVector)

Sets the vector direction for the trim operation
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
interesectionOptionVectorinteresectionoptionvector
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectEndOption ( NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectEndOptions  secondBoundingObjectEndOption)

Sets the end of the second bounding object which would be trimmed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
secondBoundingObjectEndOptionsecondboundingobjectendoption
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectOption ( NXOpen::Features::TrimCurveBuilder::SecondBoundingObjectOptions  secondboundingObjectOption)

Sets the second bounding object option
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
secondboundingObjectOptionsecondboundingobjectoption
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingObjectPickPoint ( const NXOpen::Point3d secondBndgObjPickPoint)

Sets the pick point for the second bounding object.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
secondBndgObjPickPointsecondbndgobjpickpoint
void NXOpen::Features::TrimCurveBuilder::SetSecondBoundingPlane ( NXOpen::Plane secondPlane)

Sets the first bounding object plane
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
secondPlanesecondplane
void NXOpen::Features::TrimCurveBuilder::SetTrimBoundingObjects ( bool  trimBoundingObjects)

Sets the option whether bounding objects are to be trimmed
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
trimBoundingObjectstrimboundingobjects
bool NXOpen::Features::TrimCurveBuilder::TrimBoundingObjects ( )

Returns the option whether bounding objects are to be trimmed
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.